From: Bruce Richardson <bruce.richardson@intel.com>
To: dev@dpdk.org
Cc: Bruce Richardson <bruce.richardson@intel.com>
Subject: [dpdk-dev] [PATCH 5/5] devtools/test-meson-builds: fix support for FreeBSD
Date: Tue, 9 Apr 2019 10:29:33 +0100 [thread overview]
Message-ID: <20190409092933.55356-6-bruce.richardson@intel.com> (raw)
Message-ID: <20190409092933.IGSLfZ2OpsxLvgGozwyjqdpNIR6myhVvB_sQPSJmqcU@z> (raw)
In-Reply-To: <20190409092933.55356-1-bruce.richardson@intel.com>
The pipefile option does not seem to exist on FreeBSD, giving an error
when running the script.
Fixes: 5d9176673008 ("devtools: fix meson build test to exit on failure")
Signed-off-by: Bruce Richardson <bruce.richardson@intel.com>
---
devtools/test-meson-builds.sh | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index b3b5cfbb5..1fd23fac7 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -7,7 +7,10 @@
# * if a build-directory already exists we assume it was properly configured
# Run ninja after configuration is done.
-set -o pipefail
+# this option gives an error on BSD
+if [ "`uname`" == "Linux" ] ; then
+ set -o pipefail
+fi
srcdir=$(dirname $(readlink -f $0))/..
MESON=${MESON:-meson}
--
2.20.1
next prev parent reply other threads:[~2019-04-09 9:30 UTC|newest]
Thread overview: 46+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-04-09 9:29 [dpdk-dev] [PATCH 0/5] small cleanup and fixes Bruce Richardson
2019-04-09 9:29 ` Bruce Richardson
2019-04-09 9:29 ` [dpdk-dev] [PATCH 1/5] build: simplify subdirectory detection for EAL Bruce Richardson
2019-04-09 9:29 ` Bruce Richardson
2019-04-09 10:34 ` Luca Boccassi
2019-04-09 10:34 ` Luca Boccassi
2019-04-09 10:44 ` Bruce Richardson
2019-04-09 10:44 ` Bruce Richardson
2019-04-09 10:57 ` Luca Boccassi
2019-04-09 10:57 ` Luca Boccassi
2019-04-09 9:29 ` [dpdk-dev] [PATCH 2/5] build: increase readability via shortcut variables Bruce Richardson
2019-04-09 9:29 ` Bruce Richardson
2019-04-09 10:35 ` Luca Boccassi
2019-04-09 10:35 ` Luca Boccassi
2019-04-09 9:29 ` [dpdk-dev] [PATCH 3/5] distributor: skip building if power library not found Bruce Richardson
2019-04-09 9:29 ` Bruce Richardson
2019-04-09 9:37 ` Hunt, David
2019-04-09 9:37 ` Hunt, David
2019-04-09 10:36 ` Luca Boccassi
2019-04-09 10:36 ` Luca Boccassi
2019-04-09 9:29 ` [dpdk-dev] [PATCH 4/5] examples/l2fwd-cat: fix build on FreeBSD Bruce Richardson
2019-04-09 9:29 ` Bruce Richardson
2019-04-09 9:56 ` David Marchand
2019-04-09 9:56 ` David Marchand
2019-04-09 10:03 ` Bruce Richardson
2019-04-09 10:03 ` Bruce Richardson
2019-04-09 10:34 ` David Marchand
2019-04-09 10:34 ` David Marchand
2019-04-09 10:40 ` Bruce Richardson
2019-04-09 10:40 ` Bruce Richardson
2019-04-09 10:40 ` [dpdk-dev] [dpdk-stable] " Luca Boccassi
2019-04-09 10:40 ` Luca Boccassi
2019-04-09 11:09 ` David Marchand
2019-04-09 11:09 ` David Marchand
2019-04-09 10:40 ` [dpdk-dev] " Luca Boccassi
2019-04-09 10:40 ` Luca Boccassi
2019-04-09 9:29 ` Bruce Richardson [this message]
2019-04-09 9:29 ` [dpdk-dev] [PATCH 5/5] devtools/test-meson-builds: fix support for FreeBSD Bruce Richardson
2019-04-09 9:57 ` David Marchand
2019-04-09 9:57 ` David Marchand
2019-04-09 10:02 ` Bruce Richardson
2019-04-09 10:02 ` Bruce Richardson
2019-04-09 10:37 ` Luca Boccassi
2019-04-09 10:37 ` Luca Boccassi
2019-04-09 9:55 ` [dpdk-dev] [PATCH 0/5] small cleanup and fixes David Marchand
2019-04-09 9:55 ` David Marchand
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20190409092933.55356-6-bruce.richardson@intel.com \
--to=bruce.richardson@intel.com \
--cc=dev@dpdk.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).